# os::board::qemu - Rust
API documentation for the Rust `qemu` mod in crate `os`.
Keywords: rust, rustlang, rust-lang, qemu

# Module os::board::qemu

source · [−]

## Structs

RISCV64

RISCV64 configuration

## Constants

CLOCK_FREQ
EXIT_FAILURE 🔒
EXIT_FAILURE_FLAG 🔒
EXIT_RESET 🔒
EXIT_SUCCESS 🔒
MMIO
QEMU_EXIT_HANDLE
VIRT_PLIC
VIRT_TEST 🔒
VIRT_UART

## Traits

QEMUExit

## Functions

device_init
exit_code_encode 🔒

Encode the exit code using EXIT_FAILURE_FLAG.

irq_handler

## Type Definitions

BlockDeviceImpl
CharDeviceImpl